From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/log4cplus/
Date: Sun, 18 Sep 2016 00:40:10 +0000 (UTC) [thread overview]
Message-ID: <1474158964.5d4376a3a12d3285af362defa5901db599d1e277.soap@gentoo> (raw)
commit: 5d4376a3a12d3285af362defa5901db599d1e277
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 18 00:18:12 2016 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Sep 18 00:36:04 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5d4376a3
dev-libs/log4cplus: Version bump to 1.2.0
Gentoo-bug: 594102
* EAPI=6
Package-Manager: portage-2.3.0
dev-libs/log4cplus/Manifest | 1 +
dev-libs/log4cplus/log4cplus-1.2.0.ebuild | 61 +++++++++++++++++++++++++++++++
2 files changed, 62 insertions(+)
diff --git a/dev-libs/log4cplus/Manifest b/dev-libs/log4cplus/Manifest
index 8e20108..013f46d 100644
--- a/dev-libs/log4cplus/Manifest
+++ b/dev-libs/log4cplus/Manifest
@@ -1,2 +1,3 @@
DIST log4cplus-1.1.2.tar.bz2 541761 SHA256 c46d56c96873dcb525791b5ea639d1415e74b1de99d51b657336cb6ebb72ed93 SHA512 a3bb619a0c005c63b533fa95fafe6c772dfc1b85f9b9556264b75a458398b81c48c17813ea04d07e3ea902f3f5f604b59dac7922412c5d0e0339200a453515b7 WHIRLPOOL a5b5f35b970150677f3336b954fb0ceac74517ae620427908f2d93108f09021ccdbf58a4044cfa51178a6624dff88833d0ac4f6c52136441310535bb0d79a264
DIST log4cplus-1.1.3-rc7.tar.bz2 562969 SHA256 614bfd8a2e88510f7fa497b4aa12e763aa05cf0771d06284db385e5fd9fda5bb SHA512 6854a966dfd5a2b807778e34957ea33c43a340b8be71a1a989941ec6c6fdc22d181dc2f0bb0e87910c77417a9f5c4f07d4fbd8f13eadffe82adef10a1e00ef02 WHIRLPOOL 457cbd540508094450f363656964c80fc66a2cc9be887605c73001431bbff04ac4cdee5d0fc22ece86b5b7760e120eecffd9a129e95ad0c174ca6ace7c944e01
+DIST log4cplus-1.2.0.tar.bz2 629119 SHA256 680cc7a8652384e3cb387feac1794d83c8cda6a038ca4e761dfa6a11687a63b9 SHA512 2c3f16645051a230f9ec9a6ac689421efc4b51d5f40cb772e552bd199d2ad13c39d7e577cc63d51617555941412da166a6cda8861ee219154a953d9926aae626 WHIRLPOOL 3a4d1cbacd4b033b6d6ec6cd9ff8439e5c214e444588b62b77eafd4c5d542f787eb216601f7f66b73fd90bec15ce1784e6819d828207e8693d881f8b12c212f1
diff --git a/dev-libs/log4cplus/log4cplus-1.2.0.ebuild b/dev-libs/log4cplus/log4cplus-1.2.0.ebuild
new file mode 100644
index 00000000..8ad20f8
--- /dev/null
+++ b/dev-libs/log4cplus/log4cplus-1.2.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DESCRIPTION="C++ port of the Log for Java (log4j) logging library"
+HOMEPAGE="http://log4cplus.sourceforge.net/"
+SRC_URI="mirror://sourceforge/project/${PN}/${PN}-stable/${PV}/${P}.tar.bz2"
+
+LICENSE="|| ( Apache-2.0 BSD-2 )"
+SLOT="0/1.2-5"
+KEYWORDS="~amd64 ~x86"
+IUSE="iconv qt4 threads working-locale working-c-locale"
+REQUIRED_USE="?? ( iconv working-locale working-c-locale )"
+
+RDEPEND="iconv? ( virtual/libiconv )
+ qt4? ( dev-qt/qtcore:4 )"
+DEPEND="virtual/pkgconfig
+ ${RDEPEND}"
+
+src_configure() {
+ econf \
+ --disable-static \
+ $(use_enable threads) \
+ $(use_with iconv) \
+ $(use_with working-locale) \
+ $(use_with working-c-locale) \
+ $(use_with qt4 qt)
+}
+
+src_test() {
+ cd tests/ || die
+
+ local t
+ for t in appender customloglevel fileappender filter \
+ hierarchy loglog ndc ostream patternlayout performance priority \
+ propertyconfig timeformat; do
+ einfo "Running test \"${t}_test\""
+ pushd "${t}_test/" >/dev/null || die
+ "${S}"/${t}_test || die "Running ${t}_test failed!"
+ popd >/dev/null || die
+ done
+
+ if use threads; then
+ for t in configandwatch thread; do
+ einfo "Running test \"${t}_test\""
+ pushd "${t}_test/" >/dev/null || die
+ "${S}"/${t}_test || die "Running ${t}_test failed!"
+ popd >/dev/null || die
+ done
+ fi
+}
+
+src_install() {
+ default
+ dodoc docs/unicode.txt
+
+ # package provides .pc files
+ find "${D}" -name '*.la' -delete || die
+}
next reply other threads:[~2016-09-18 0:40 UTC|newest]
Thread overview: 21+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-09-18 0:40 David Seifert [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-04-19 10:38 [gentoo-commits] repo/gentoo:master commit in: dev-libs/log4cplus/ Sam James
2023-09-04 21:24 Andreas Sturmlechner
2022-04-17 19:00 Sam James
2022-02-28 7:06 Yixun Lan
2022-01-27 9:30 David Seifert
2021-12-05 4:45 Sam James
2021-08-10 0:24 Sam James
2021-08-01 18:27 Sam James
2021-07-05 17:22 Dennis Lamm
2021-01-25 14:16 Sam James
2020-12-21 18:07 Sam James
2020-10-15 15:58 Sam James
2018-05-26 12:23 David Seifert
2018-03-30 16:04 Aaron Bauman
2018-01-14 12:35 Andreas Sturmlechner
2018-01-12 23:00 Andreas Sturmlechner
2016-09-18 0:40 David Seifert
2016-09-18 0:40 David Seifert
2016-07-08 17:58 Austin English
2016-07-04 18:44 Christian Ruppert
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1474158964.5d4376a3a12d3285af362defa5901db599d1e277.soap@gentoo \
--to=soap@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox